<?php
define('NTLCMS', 1);
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница покупки кредитов - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Купить кредиты</b></div>';
$sql = DB :: run() -> query("select * from `exchange` where `login` <> '".$ulogin."' and `credit` <> '0'");
$userbet = DB :: run() -> querySingle("select count(`id`) from `exchange` where `login` <> '".$ulogin."' and `credit` <> '0'");
if ($userbet == 0){
echo '<div class="menu"><center><i class="fa fa-close fa-fw"></i> Выставленных кредитов на продажу нет!</center></div>';
} else {
echo '<div class="menu"><center><i class="fa fa-exclamation fa-fw"></i> Цена за 1000 кр. составляет от 5 до 60 руб.</center></div>';
if (isset($_GET['do'])){
$k_post = DB :: run() -> querySingle("select count(`id`) from `exchange` where `id` = '".ints($_GET['do'])."' and `login` <> '".$ulogin."' and `credit` <> '0'");
$k_page = k_page($k_post, $onpage);
$page = page($k_page);
$start = $onpage * $page - $onpage;
$sql = DB :: run() -> query("select * from `exchange` where `id` = '".ints($_GET['do'])."' and `login` <> '".$ulogin."' and `credit` <> '0' limit ".$start.", ".$onpage);
if ($k_post == 0){
header('Location: '.URL.'/buy');
} else {
$row = $sql -> fetch(PDO::FETCH_OBJ);
$error = null;
if (isset($_POST['col'])){
$summa = isset($_POST['col']) ? filter_var($_POST['col'], FILTER_SANITIZE_NUMBER_INT) : '0';
if (empty($summa)){
$error.= 'Введите количество кредитов для покупки!<br/>';
} elseif (!is_numeric($summa)){
$error.= 'Не верно введено количество для покупки!<br/>';
} elseif ($summa > $row -> credit){
$error.= 'У пользователя нет столько кредитов!<br/>';
} elseif ($summa < 1){
$error.= 'Мин. кол-во для покупки 1 кредит!<br/>';
} elseif ($_USER['balans'] < (int) $summa * $row -> sum / 1000){
$error.= 'У вас недостаточное количество денег!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
if (DB :: run() -> query("update `users` set `bank` = `bank` + '".ints($summa)."', `balans` = `balans` - '".((int) $summa * $row -> sum / 1000)."' where `login` = '".$ilogin."'")){
if ($row -> credit == $summa){
DB :: run() -> query("delete from `exchange` where `id` = '".ints($row -> id)."'");
} else {
DB :: run() -> query("update `exchange` set `credit` = `credit` - '".ints($_POST['col'])."' where `id` = '".ints($row -> id)."' limit 1");
}
DB :: run() -> query("insert into `log_kp` set `data` = '".TIME."', `kupil` = '".$ilogin."', `prodal` = '".checkin($row -> login)."', `cena` = '".((int) $summa * $row -> sum / 1000)."', `kolvo` = '".ints($summa)."'");
DB :: run() -> query("update `users` set `balans` = `balans` + '".((int) $summa * $row -> sum / 1000)."' where `login` = '".checkin($row -> login)."'");
DB :: run() -> query("insert into `notice` set `to` = '".checkin($row -> login)."', `date` = '".TIME."', `status` = '1', `tema` = 'Биржа кредитов', `text` = '".$ilogin." купил у вас ".ints($summa)." CR на бирже!'");
header('Location: '.URL.'/exchanges');
$_SESSION['success'] = 'Успешно приобретено '.ints($summa).' кр. на сумму '.((int) $summa * $row -> sum / 1000).' руб.!';
} else {
header('Location: '.URL.'/exchanges');
$_SESSION['fail'] = 'Ошибка при покупке кредитов!';
}
}
}
echo '<div class="menu"><i class="fa fa-user fa-fw"></i> Продавец: '.login($row -> login).'</div>';
echo '<div class="menu"><form action="'.URL.'/buy/'.ints($row -> id).'" method="post">
* Количество:<br/><input type="text" name="col" maxlength="11" value="'.$row -> credit.'"/><br/>
<input type="submit" value="Приобрести кредиты"/></form></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/exchanges">Биржа кредитов</a></div>';
exit (include('../system/foot.php'));
}
}
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<div class="menu">
<i class="fa fa-user fa-fw"></i> Продавец: '.login($row -> login).'<br/>
<i class="fa fa-dot-circle-o fa-fw"></i> Кол-во: '.coins(ints($row -> credit)).' <br/>
<i class="fa fa-dot-circle-o fa-fw"></i> Цена за 1000кр: '.money(ints($row -> sum)).' <br/>
<i class="fa fa-dot-circle-o fa-fw"></i> На сумму: '.money(((int) $row -> credit * $row -> sum/1000)).' <br/>
'.coins_p().' <a href="'.URL.'/buy/'.ints($row -> id).'">Купить кредиты</a></div>';
}
if ($k_page > 1) navigation(URL.'/buy&', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/exchanges">Биржа кредитов</a></div>';
include ('../system/foot.php');
?>